Package org.pushingpixels.substance.api.skin

# Class SkinInfo

java.lang.Object
org.pushingpixels.substance.internal.utils.TraitInfoImpl
org.pushingpixels.substance.api.skin.SkinInfo

All Implemented Interfaces:
  `SubstanceTraitInfo`

public class SkinInfo extends TraitInfoImpl
Information on a single skin. This class is part of officially supported API.

## Constructor Summary

Constructors
Constructor
Description
`SkinInfo(String skinDisplayName, String skinClassName)`
Simple constructor.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`int`
`hashCode()`

### Methods inherited from class org.pushingpixels.substance.internal.utils.TraitInfoImpl

`getClassName, getDisplayName, isDefault, setDefault`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SkinInfo

public SkinInfo(String skinDisplayName, String skinClassName)
Simple constructor.

Parameters:
  `skinDisplayName` - Display name of `this` skin.
  `skinClassName` - Class name of `this` skin.

## Method Details

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`